2.4 - Install IonCube Loader

Install IonCube Loader

IonCube Loader is responsible for managing the license that allows you to run Convention Master.

  1. Visit the Ioncube Loader download page and select the download that matches your system architecture: http://www.ioncube.com/loaders.php
    You can download the file to your server by copying the location and using wget, like so:

    cd ~/
    wget https://downloads.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz
    tar -xof ioncube_loaders_lin_x86-64.tar.gz

     

  2. You will now have an ioncube folder containing the Ioncube PHP extensions for every version of PHP currently supported. Copy the matching loader to the appropriate folder in /usr/lib/php (there is likely only one appropriate folder, and it is datestamped). If you followed the installation instructions in section 2, you will be running PHP 7.2 and your command will look like this:

    cp ioncube_loader_lin_7.2.so /usr/lib/php/20170718/
     

  3. Create a file called ioncube.ini in /etc/php/7.2/mods-available and put the following two lines in it (adjust the path to the Ioncube loader as appropriate):

    ; priority=00
    zend_extension = /usr/lib/php/20170718/ioncube_loader_lin_7.2.so

    This is the only configuration required for the Ioncube Loader. Save the file and exit.
     

  4. Enable the new PHP extension for both Apache and CLI.

    sudo phpenmod -v 7.2 -s ALL ioncube
     

  5. Restart Apache to load the new PHP extension

    sudo systemctl restart apache2
     

  6. You can now delete the Ioncube downloads

    rm ~/ioncube_loaders_lin_x86-64.tar.gz
    rm -r ioncube/